Bug 2021695 - Application fails to open - ARBT report # 283308
Summary: Application fails to open - ARBT report # 283308
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 35
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-09 23:47 UTC by Timothy Ward
Modified: 2022-03-01 05:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-01 05:20:04 UTC
Type: Bug


Attachments (Terms of Use)
Sreen shot ARBT fault message (135.92 KB, image/png)
2021-11-09 23:47 UTC, Timothy Ward
no flags Details

Description Timothy Ward 2021-11-09 23:47:38 UTC
Created attachment 1840971 [details]
Sreen shot ARBT fault message

Description of problem:

Fails to start - refer additional Info

Version-Release number of selected component (if applicable):

0.31.3-7.fc35.x86_64

How reproducible:

Refer steps below.


Steps to Reproduce:

1. Fully updated Fedora Linux 35 0/S
2. Fails to start
3. Arbt reported there was limited info to auto report in Bugzilla

Actual results:
Fails to start - refer Additional info

Expected results:

Applications starts and is functional

Additional info:

ARBT Analytics - Report # 283308 - Shotwell in dri2_query_image

Comment 1 Pablo Iranzo Gómez 2021-12-04 08:24:05 UTC
Not sure if the same situation, but when launching shotwell from a console to get more dialogs (under wayland), it reports a segment violation and closes. (also on shotwell-0.31.3-7.fc35.x86_64)

Comment 2 Thomas Moschny 2022-01-30 12:26:33 UTC
Could you please test whether this update https://bodhi.fedoraproject.org/updates/FEDORA-2022-f755b31430 fixes the issue for you?

Comment 3 Pablo Iranzo Gómez 2022-02-16 09:18:08 UTC
Unfortunately, it doesn't:

 iranzo  ~  rpm -q shotwell
shotwell-0.31.3-8.fc35.x86_64
 iranzo  ~  shotwell 

(shotwell:61019): Gdk-WARNING **: 10:15:18.911: Native Windows taller than 65535 pixels are not supported
Violación de segmento (`core' generado)




I've been reading and seems that other apps like cheese, etc provide similar behaviour, and funny thing with shotwell is that opening an individual image works fine and the viewer is shown... but I want the photo library part which is not opening

Shotwell: https://forums.fedora-fr.org/viewtopic.php?pid=622539

cheese: https://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg5920282.html

Apparently, in those cases, seems that wayland is involved... when trying under Xorg it opens fine, but in my case that's not viable as it doesn't deal well with 3 screens and nouveau driver

Thanks!

Comment 4 Timothy Ward 2022-03-01 05:18:17 UTC
Sorry for the length of time to report this,
Yes, this update fixes the problem and the application starts normally.


Note You need to log in before you can comment on or make changes to this bug.